package org.example.country.size.action;

import java.util.List;
import java.util.Properties;

import org.example.country.size.entity.CountrySize;
import org.example.country.size.util.ServiceException;

/**
 * This is the action interface for the DB2 access class.
 * <br>
 * <br>
 * This defines the access methods for the DB2 DAO.
 * 
 * @author Jonathan Earl
 *
 */
public interface CountrySizeDAO 
{
	/**
	 * This is the method used to connect to DB2.
	 * 
	 * @param props the property file containing the DB2 connection details
	 * @throws ServiceException the Exception thrown if there is a DB2 error
	 */
	public void connect(Properties props) 
			throws ServiceException;
	
	/**
	 * This is the method that returns a set of SQL results as a collection of
	 * application entity objects.
	 * 
	 * @return the collection of CountrySize objects, this list be be empty.
	 * @throws ServiceException the Exception thrown if there is a DB2 error
	 */
	public List<CountrySize> findCountriesBySize() 
			throws ServiceException;
	
	/** 
	 * This is the method to disconnect from DB2.
	 */
	public void disconnect();
}
